
Redmine - Defect #15216

Plugin errors on views not sent to the log files

2013-10-28 22:06 - Caio Sousa

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version:  

Description

I have tested it on Gentoo, with Redmine latest stable and from master, with packages from bundled Gemfile.

If you add any kind of error to a view inside a plugin, it will result in a internal server error, but the error won't be logged out.

If I add the same error on a core file, the error message is correctly displayed on the log file.

You can add a line such:

<% anythingyouwantwhichisundefined %>

 to any plugin view and look at the log files.

History

#1 - 2013-10-31 04:59 - Mischa The Evil

- Description updated

#2 - 2013-11-09 21:12 - Jean-Philippe Lang

- File production.log added

- Status changed from New to Needs feedback

Works for me, see attached log.

#3 - 2015-08-23 17:11 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Files

production.log 9.03 KB 2013-11-09 Jean-Philippe Lang
